base_class.hpp File Reference
Support for Serializing Various Types » Miscellaneous Types Support

Support for base classes (virtual and non-virtual) More...

`#include "cereal/details/traits.hpp"`
`#include "cereal/details/polymorphic_impl_fwd.hpp"`

Go to the source code of this file.

## Classes

struct | cereal::base_class_detail::RegisterPolymorphicBaseClass< Base, Derived, IsPolymorphic >
struct | cereal::base_class_detail::RegisterPolymorphicBaseClass< Base, Derived, true >
| Polymorphic version. More...
struct | cereal::base_class< Base >
| Casts a derived class to its non-virtual base class in a way that safely supports abstract classes. More...
struct | cereal::virtual_base_class< Base >
| Casts a derived class to its virtual base class in a way that allows cereal to track inheritance. More...

## Detailed Description

Support for base classes (virtual and non-virtual)